View Issue Details

IDProjectCategoryView StatusLast Update
0002304Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2018-07-01 19:32
ReporterScaranAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002304: Stirling-Cheating Generator
DescriptionSet up Stirling generator to Electric Heater(with coils), Liquid Heat Exchanger(with Heat Conductors) or Solid Fuel Firebox(empty) stirling start generating energy without actually heat.
Liquid Fuel Firebox and Radioisotope Heat Generator not have this issue.
Other heat mechanical machines settings work fine.
Steps To Reproduce1 Put Stirling generator next to Liquid Heat Exchanger with heat connections are touching each other.
2 Liquid Heat Exchanger need Heat Conductors minimum 1.
3 Stirling generator generate EU/t according to NOT EXISTING HU/t.
Additional Informationlist of my mods:
buildcraft-7.99.14.jar
CodeChickenLib-1.12.2-3.1.5.331-universal.jar
CoFHCore-1.12.2-4.3.10.5-universal.jar
CoFHWorld-1.12.2-1.1.1.12-universal.jar
hud-1.3.9-1.12.jar
Hwyla-1.8.23-B38_1.12.jar
industrialcraft-2-2.8.42-ex112.jar
jei_1.12.2-4.8.5.144.jar
journeymap-1.12.2-5.5.2.jar
JustEnoughResources-1.12.2-0.8.6.28.jar
KeepingInventory-1.12.2-2.4.jar
RedstoneFlux-1.12-2.0.1.2-universal.jar
Scannable-MC1.12-1.6.2.13.jar
ThermalDynamics-1.12.2-2.3.10.4-universal.jar
ThermalExpansion-1.12.2-5.3.10.14-universal.jar
TreeChopper-1.12.2-1.2.4.jar
Wawla-1.12.2-2.5.246.jar
TagsNo tags attached.
Minecraft Version1.12.2

Relationships

parent of 0002307 resolvedChocohead New-built Kinetic Generator&Wind Turbine generate 0 EU before reload the save 

Activities

Chocohead

2018-01-21 17:10

developer   ~0005511

That doesn't sound good... Definitely needs fixing

Chocohead

2018-01-24 14:50

developer   ~0005514

Fixed in IC2 2.8.43.

Please do report back if the Kinetic Generator or Stirling Generator are less reliable, especially on chunk borders and world loads. They shouldn't be, but there is the potential for them to be because of the fixes.

Scaran

2018-01-24 17:38

reporter   ~0005515

So far everything works fine.

Chocohead

2018-01-24 18:32

developer   ~0005516

Good to hear

setzer22

2018-07-01 12:50

reporter   ~0005728

@Chocohead Could this have something to do with the "Stirling Kinetic Generator", or does your comment only apply to the "Stirling" and "Kinetic" generators? We are having trouble in our server where the stirling kinetic generators that we built as a large energy tower stop working after a while. Removing and replacing the stirling kinetic generators makes them work again for a while, but if left alone, they will not work even when receiving heat.

If this is not related to the above issue please let me know and I'll submit a separate bug report. I just thought this might be related so I asked here first.

Thanks!

Chocohead

2018-07-01 19:32

developer   ~0005729

That was only about just the Stirling Generator and the Kinetic Generator, as they both share the same logic just for different interfaces. The Stirling Kinetic Generator is completely separate so unless you've got it going into a kinetic generator, any problems with it are unrelated.

Issue History

Date Modified Username Field Change
2018-01-21 07:03 Scaran New Issue
2018-01-21 17:10 Chocohead Note Added: 0005511
2018-01-24 14:50 Chocohead Assigned To => Chocohead
2018-01-24 14:50 Chocohead Status new => resolved
2018-01-24 14:50 Chocohead Resolution open => fixed
2018-01-24 14:50 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-01-24 14:50 Chocohead Note Added: 0005514
2018-01-24 17:38 Scaran Note Added: 0005515
2018-01-24 18:32 Chocohead Note Added: 0005516
2018-01-25 12:12 Chocohead Relationship added parent of 0002307
2018-07-01 12:50 setzer22 Note Added: 0005728
2018-07-01 19:32 Chocohead Note Added: 0005729